## live-config 2.0.15

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = de fr pt_BR

SCRIPTS = bin/* scripts/*.sh scripts/*/*

all: test build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing scripts
	mkdir -p $(DESTDIR)/lib/live
	cp -r scripts/config.sh scripts/config $(DESTDIR)/lib/live
	mkdir -p $(DESTDIR)/var/lib/live/config

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-config
	cp -r COPYING docs/* examples $(DESTDIR)/usr/share/doc/live-config

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling scripts
	rm -rf $(DESTDIR)/lib/live/config.sh $(DESTDIR)/lib/live/config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/live || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live/config || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var || true

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-config po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

## live-config 3.0~a18

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SCRIPTS = bin/* scripts/*.sh scripts/*/*
 
-all: test build
+all: build
 
 test:
 	@echo -n "Checking for syntax errors"
@@ -47,7 +47,7 @@
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-config
-	cp -r COPYING docs/* examples $(DESTDIR)/usr/share/doc/live-config
+	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-config
 
 	# Installing manpages
 	for MANPAGE in manpages/en/*; \

=== debian/changelog ===
live-config (3.0~a18-1) unstable; urgency=low

  * Renumbering upstart script.
  * Fixing various things in upstart script.
  * Updating xserver-xorg script for setting the driver selection
    (Closes: #618316).
  * Correcting wrong path for resolution handling in xserver-xorg script
    (Closes: #618394).

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Mar 2011 12:40:52 +0100

live-config (3.0~a17-1) unstable; urgency=low

  * Adding old 2.x changelog entries in debian changelog.
  * Silencing and protecting rmdir call for temporary files in live-
    config postrm (Closes: #617790).

 -- Daniel Baumann <daniel@debian.org>  Fri, 11 Mar 2011 17:11:35 +0100

live-config (3.0~a16-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding Spanish manpage translation from Carlos Zuferri chals
    <chals@altorricon.com>.

  [ Marco Amadori ]
  * Enable autologin for upstart backend.

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Mar 2011 20:18:41 +0100

live-config (3.0~a15-1) experimental; urgency=low

  [ Richard Nelson ]
  * To use network based hooks with live-config.hooks=, also call
    ethdevice= with the device you want to use for network access and we
    will force it up.

  [ Daniel Baumann ]
  * Removing header in copyright file.
  * Don't hard-depend on test target in Makefile.
  * Using dh auto magic in override, rather than manual make call.
  * Passing destdir manually to dh_auto_install in rules.
  * Making plugins self-contained.
  * Adding dpkg-source option file for example package.
  * Updating example package to debhelper version 8.
  * Making example package a native package in order to not confuse
    users about generating an upstream tarball first.
  * Using /etc/sudoers.d/live instead of /etc/sudoers in sudo config
    script.
  * Using new cmdline variable in example script, rather than accessing
    /proc/cmdline.
  * Avoid twice accessing /proc/cmdline in main script.
  * Adding postrm script that cleans up live-config modifications if
    persistent pre-configuration at build time was used and the system
    is intended to be installed with live-installer.
  * Avoid double-whitespace in /etc/sudoers.d/live.
  * Removing /var/lib/live when purging live-config.
  * Using cmdline variable rather than parsing /proc/cmdline in when
    handing boot parameters in example script.
  * Renaming zz-xinit.sh to zz-live.sh in xinit script for consistency.
  * Updating postrm to remove xinit script in /etc/profile.d on purge.
  * Adding support for progress.
  * Setting distribution specific defaults in config.sh with update-
    live-config.sh at build-time.
  * Tightening grep call for live user in /etc/passwd to not fail with
    false-positives.
  * Correcting permission of /etc/sudoers.d/live.
  * Renaming update-live-config to live-config-update for consistency.
  * Silencing grep call for /etc/sudoers.d/live.
  * Updating year in copyright.
  * Updating year in manpage, examples and script files.
  * Correcting hostname typo in manpages.
  * Adding Italian manpage translation from skizzhg <skizzhg@gmx.com>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 25 Jan 2011 08:55:27 +0100

live-config (3.0~a14-1) experimental; urgency=low

  [ Nick Niktaris ]
  * Also depend on xdg-user-dirs in KDE4 specifics of debian-installer-
    launcher script.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Dec 2010 11:34:34 +0100

live-config (3.0~a13-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Improving French translation for openssh-server script.
  * Adding dpkg source options file.

  [ Steven Shiau ]
  * Adding missing argument in ssh_keygen calls in openssh-server
    script.

  [ Daniel Baumann ]
  * Correct debian-installer-launcher script for KDE4, thanks to Nick
    Niktaris <niktaris@knoppel.org>.
  * Removing my previously wrongly dublicated chown call in debian-
    installer-launcher script.
  * Correcting install call for kde desktop file in debian-installer-
    launcher script.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 23:25:49 +0100

live-config (3.0~a12-1) experimental; urgency=low

  * Adding openssh-server config script to regenerate ssh keys on boot.
  * Correcting typo in openssh-server script.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Nov 2010 23:03:28 +0100

live-config (3.0~a11-1) experimental; urgency=low

  * Disabling xinit hack when using persistency and another display
    manager has been configured (Closes: #601235).
  * Removing deep link to bug page in the manual, since we don't have
    stable references yet.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 Oct 2010 10:09:58 +0200

live-config (3.0~a10-1) experimental; urgency=low

  * Don't compress example files in /usr/share/doc.
  * Updating gdm3 check to make autologin work again with gdm3 2.30.5-4.

 -- Daniel Baumann <daniel@debian.org>  Thu, 21 Oct 2010 11:16:32 +0200

live-config (3.0~a9-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Removing TODO file, merged into http://live.debian.net/devel/live-
    config/todo/.
  * Using medium as keyword instead of media in hook script, as
    documented in the manpage (Closes: #598375).
  * Correctly prepending local hooks with file:// prefix (Closes:
    #598375).

  [ Scott Barker ]
  * Fixing typo in config.d files parsing from live media (Closes:
    #598536).

  [ Daniel Baumann ]
  * Updating to debhelper version 8.
  * Correcting another typo in hooks config script regarding the loop
    variable.
  * Simplyfing and silencing switch between local and remote files in
    hooks script.
  * Simplyfing sed call when using local hook scripts.

 -- Daniel Baumann <daniel@debian.org>  Sat, 02 Oct 2010 10:40:58 +0200

live-config (3.0~a8-1) experimental; urgency=low

  * Correcting typo in persistent file of apport and ureadahead scripts.
  * Also allowing short names for live-config and live-noconfig
    parameters.
  * Correcting accidentally reverted change of live user uid from 999 to
    1000.



=== debian/control ===
Source: live-config
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: lsb-release
Standards-Version: 3.9.1
Homepage: http://live.debian.net/devel/live-config/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-config.git
Vcs-Git: git://live.debian.net/git/live-config.git

Package: live-config
Architecture: all
Depends: ${misc:Depends}, live-config-sysvinit | live-config-backend
Recommends: live-tools, user-setup, sudo
Suggests: wget
Description: Debian Live - System Configuration Scripts
 live-config contains the scripts that configure a Debian Live system during
 the boot process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-sysvinit.

Package: live-config-runit
Architecture: all
Depends: ${misc:Depends}
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Suggests: runit-run
Description: Debian Live - System Configuration Scripts (runit backend)
 live-config contains the scripts that configure a Debian Live system during
 the boot process (late userspace).
 .
 This package contains the runit backend (experimental!).

Package: live-config-systemd
Architecture: all
Depends: ${misc:Depends}
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Suggests: systemd
Description: Debian Live - System Configuration Scripts (systemd backend)
 live-config contains the scripts that configure a Debian Live system during
 the boot process (late userspace).
 .
 This package contains the systemd backend (experimental!).

Package: live-config-sysvinit
Architecture: all
Depends: ${misc:Depends}, sysvinit (>= 2.86)
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Description: Debian Live - System Configuration Scripts (sysvinit backend)
 live-config contains the scripts that configure a Debian Live system during
 the boot process (late userspace).
 .
 This package contains the sysvinit backend.

Package: live-config-upstart
Architecture: all
Depends: ${misc:Depends}, upstart
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Description: Debian Live - System Configuration Scripts (upstart backend)
 live-config contains the scripts that configure a Debian Live system during
 the boot process (late userspace).
 .
 This package contains the upstart backend (experimental!).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/live-config

	# removing unused files
	rm -f debian/live-config/usr/share/doc/live-config/COPYING
	bin/live-config-update debian/live-config/lib/live/config

	# live-config-systemd
	install -D -m 0644 debian/live-config-systemd.service debian/live-config-systemd/etc/systemd/system/live-config.service
	mkdir -p debian/live-config-systemd/etc/systemd/system/runlevel1.target.wants
	ln -s ../live-config.service debian/live-config-systemd/etc/systemd/system/runlevel1.target.wants/live-config.service

	# live-config-sysvinit
	mkdir -p debian/live-config-sysvinit/lib/live/config
	mv debian/live-config/lib/live/config/*-sysvinit debian/live-config-sysvinit/lib/live/config
	mv debian/live-config/lib/live/config/*-sysv-rc debian/live-config-sysvinit/lib/live/config

	# live-config-upstart
	mkdir -p debian/live-config-upstart/lib/live/config
	mv debian/live-config/lib/live/config/*-upstart debian/live-config-upstart/lib/live/config

override_dh_installinit:
	dh_installinit -p live-config-runit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config
	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config
	dh_installinit -p live-config-upstart --no-restart-on-upgrade --no-start --name live-config

override_dh_compress:
	dh_compress -Xusr/share/doc/live-config/examples

## live-config 3.0~a19

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = de fr pt_BR
+LANGUAGES = en $(shell cd manpages/po && ls)
 
 SCRIPTS = bin/* scripts/*.sh scripts/*/*

=== debian/changelog ===
live-config (3.0~a19-1) unstable; urgency=low

  * Updating script selection for progress.
  * Updating to standards version 3.9.2.
  * Adding updated Spanish manpage translation from Carlos Zuferri chals
    <chals@altorricon.com> and José Luis Zabalza <jlz.3008@gmail.com>.
  * Correcting top-level makefile to automatically get all the supported
    languages, rather than defining a static list.
  * Making copyright file distribution neutral.
  * Starting comments in rules with upper-case for consistency.
  * Making manpages distribution neutral.
  * Making copyright file of example package distribution neutral.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 May 2011 19:14:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: lsb-release
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-config/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-config.git
 Vcs-Git: git://live.debian.net/git/live-config.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=debian/live-config
 
-	# removing unused files
+	# Removing unused files
 	rm -f debian/live-config/usr/share/doc/live-config/COPYING
 	bin/live-config-update debian/live-config/lib/live/config

## live-config 3.0~a20

=== debian/changelog ===
live-config (3.0~a20-1) unstable; urgency=low

  * Updating initscripts to not fail when package is removed (Closes:
    #628131).
  * Updating examples README.

 -- Daniel Baumann <daniel@debian.org>  Sat, 28 May 2011 08:12:45 +0200

## live-config 3.0~a21

=== debian/changelog ===
live-config (3.0~a21-1) unstable; urgency=low

  * Removing accidentally twice included English files when installing
    manpages.
  * Update wording in live-config-foobar example readme file.
  * Using project email in upstart job.

 -- Daniel Baumann <daniel@debian.org>  Sat, 11 Jun 2011 11:18:42 +0200

## live-config 3.0~a22

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = en $(shell cd manpages/po && ls)
+LANGUAGES = $(shell cd manpages/po && ls)
 
 SCRIPTS = bin/* scripts/*.sh scripts/*/*

=== debian/changelog ===
live-config (3.0~a22-1) unstable; urgency=low

  [ Rui Miguel P. Bernardo ]
  * Fix non 0 exit status of grep -v ini sysv-rc (Closes: #630329).

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Jun 2011 09:17:11 +0200

## live-config 3.0~a30

=== debian/changelog ===
live-config (3.0~a30-1) unstable; urgency=low

  * Adding required parsing for the respective boot parameters in all
    config scripts so that every script is self-contained (Closes:
    #646824).
  * Adding forgotten underline prefix to show that the service variable
    in sysv-rc script is a local variable.
  * Moving comment about mingetty to the actual executed code for
    consistency.
  * Sorting parameter handling alphabetically in each script.

 -- Daniel Baumann <daniel@debian.org>  Fri, 28 Oct 2011 12:29:13 +0200

live-config (3.0~a29-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Adding example in live-config manpage for a suitable resolution when
    using xorg-resolution parameter.
  * Using compression level 9 also for binary packages in live-config
    example package.
  * Adding configuration script for locales-all.
  * Renumbering scripts.
  * Removing superfluous empty line in user-setup script.
  * Adding forgotten parsing of cmdline in sudo script to respect
    username boot parameter (Closes: #646824).

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Oct 2011 21:42:35 +0200

live-config (3.0~a28-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Setting suitable debconf settings during live-config runtime.
  * Saving output of live-config to /var/log/live-config.log.

  [ chals ]
  * Updating live-config man page, Spanish translation.

  [ Daniel Baumann ]
  * Running rebuild target in manpages.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Oct 2011 11:04:37 +0200

live-config (3.0~a27-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Silencing rmdir calls in makefile.
  * Coding style improvement for if statments in config.sh.

  [ Stanislav Bogatyrev ]
  * Check file existence during _SCRIPTS list construction and make sure
    the resulting list has only unique items (Closes: #642396).

  [ Daniel Baumann ]
  * Using sort -u instead of sort and uniq when sorting scripts.

 -- Daniel Baumann <daniel@debian.org>  Fri, 23 Sep 2011 20:40:09 +0200

live-config (3.0~a26-1) unstable; urgency=low

  * Clarify in live-config manpage that the content of the configuration
    files is supposed to consist of variables, thanks to Ed Dixon
    <eddixonnm@gmail.com> for bringing it up.
  * Improving spelling in live-config manpage.
  * Lowering display-manager timeouts for a users automatic re-login
    from 10s to 5s.

 -- Daniel Baumann <daniel@debian.org>  Wed, 24 Aug 2011 19:28:43 +0200

live-config (3.0~a25-1) unstable; urgency=low

  * Adding support for automatic login with lightdm.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Aug 2011 15:47:16 +0200

live-config (3.0~a24-1) unstable; urgency=low

  [ Reinhard Tartler ]
  * Starting live-config upstart-job on filesystem event.

  [ Daniel Baumann ]
  * Only updating /etc/locale.gen in locales script if existing, thanks
    to Reinhard Tartler <siretart@tauware.de>.

  [ Reinhard Tartler ]
  * Reloading tty jobs gracefully in upstart config script.

  [ Daniel Baumann ]
  * Updating section for live-config-doc.
  * Upgrading systemd from suggests to depends on systemd backend,
    thanks to Michael Dorrington <michael.dorrington@gmail.com>.

  [ Ben Armstrong ]
  * Cross-referencing lb_config --bootappend-live.

  [ Daniel Baumann ]
  * Correcting bootappend-live reference in live-config manpage.

 -- Daniel Baumann <daniel@debian.org>  Thu, 04 Aug 2011 21:23:53 +0200

live-config (3.0~a23-1) unstable; urgency=low

  * Making references to debian more distribution neutral.
  * Splitting out documentation so that it can be accesses separately
    from the initsystem code.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Jul 2011 10:36:29 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: live-config
 Architecture: all
 Depends: ${misc:Depends}, live-config-sysvinit | live-config-backend
-Recommends: live-tools, user-setup, sudo
+Recommends: live-config-doc, live-tools, user-setup, sudo
 Suggests: wget
 Description: Debian Live - System Configuration Scripts
  live-config contains the scripts that configure a Debian Live system during
@@ -21,6 +21,18 @@
  .
  In addition to live-config, a backend for an init system is required, such as
  live-config-sysvinit.
+
+Package: live-config-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Conflicts: live-config (<< 3.0~a22~)
+Replaces: live-config
+Description: Debian Live - System Configuration Scripts (documentation)
+ live-config contains the scripts that configure a Debian Live system during
+ the boot process (late userspace).
+ .
+ This package contains the documentation.
 
 Package: live-config-runit
 Architecture: all
@@ -37,11 +49,10 @@
 
 Package: live-config-systemd
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, systemd
 Conflicts: live-config-backend
 Replaces: live-config-backend
 Provides: live-config-backend
-Suggests: systemd
 Description: Debian Live - System Configuration Scripts (systemd backend)
  live-config contains the scripts that configure a Debian Live system during
  the boot process (late userspace).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# live-config-systemd
	install -D -m 0644 debian/live-config-systemd.service debian/live-config-systemd/etc/systemd/system/live-config.service
	mkdir -p debian/live-config-systemd/etc/systemd/system/runlevel1.target.wants
	ln -s ../live-config.service debian/live-config-systemd/etc/systemd/system/runlevel1.target.wants/live-config.service

	# live-config-sysvinit
	mkdir -p debian/live-config-sysvinit/lib/live/config
	mv debian/tmp/lib/live/config/*-sysvinit debian/live-config-sysvinit/lib/live/config
	mv debian/tmp/lib/live/config/*-sysv-rc debian/live-config-sysvinit/lib/live/config

	# live-config-upstart
	mkdir -p debian/live-config-upstart/lib/live/config
	mv debian/tmp/lib/live/config/*-upstart debian/live-config-upstart/lib/live/config

	# Removing unused files
	rm -f debian/tmp/usr/share/doc/live-config/COPYING
	bin/live-config-update debian/tmp/lib/live/config

override_dh_installinit:
	dh_installinit -p live-config-runit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config
	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config
	dh_installinit -p live-config-upstart --no-restart-on-upgrade --no-start --name live-config

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -Xusr/share/doc/live-config/examples

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

## live-config 3.0~a31

=== debian/changelog ===
live-config (3.0~a31-1) unstable; urgency=low

  [ chals ]
  * Fixing fuzzy in es po.
  * Updating French translation.

  [ Daniel Baumann ]
  * Sorting overrides in rules alphabetically.
  * Making user default groups configurable.
  * Make sure user is not in sudo group if sudo is disabled.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Dec 2011 10:19:19 +0100

## live-config 3.0~a32

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 		echo "W: checkbashisms - command not found"; \
 		echo "I: checkbashisms can be optained from: "; \
 		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
-		echo "I: On Debian systems, checkbashisms can be installed with:"; \
+		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
 		echo "I:   apt-get install devscripts"; \
 	fi
 
@@ -68,19 +68,19 @@
 uninstall:
 	# Uninstalling scripts
 	rm -rf $(DESTDIR)/lib/live/config.sh $(DESTDIR)/lib/live/config
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/live || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/live > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib > /dev/null 2>&1 || true
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live/config || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live/config > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var > /dev/null 2>&1 || true
 
 	# Uninstalling docs
 	rm -rf $(DESTDIR)/usr/share/doc/live-config
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
 
 	# Uninstalling manpages
 	for MANPAGE in manpages/en/*; \
@@ -100,15 +100,15 @@
 
 	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
 	do \
-		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
-		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} || true; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
 	done
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true
 
 clean:
 	@echo "Nothing to clean."

=== debian/changelog ===
live-config (3.0~a32-1) unstable; urgency=low

  [ chals ]
  * Updating Spanish translationof man page.
  * Updating French translation of man page.

  [ Daniel Baumann ]
  * Adding updated Italian manpage translation from skizzhg
    <skizzhg@gmx.com>.
  * Updating to debhelper version 9.
  * Flipping accidentally wrong squeeze with wheezy defaults for default
    user groups.
  * Adjust formating of groups in user-setup script.
  * Switching to use /debconf.live as a temporary debconf location for
    user-setup script, rather than /tmp/debconf.live, as /tmp is not
    already there in wheezy and newer when live-config is executed.
  * Updating year to 2012 in copyright notices.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Feb 2012 23:30:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders: Daniel Baumann <daniel@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: lsb-release
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-config/

=== debian/rules ===
--- 
+++ 
@@ -24,16 +24,16 @@
 	rm -f debian/tmp/usr/share/doc/live-config/COPYING
 	bin/live-config-update debian/tmp/lib/live/config
 
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip -z9
+
+override_dh_compress:
+	dh_compress -Xusr/share/doc/live-config/examples
+
+override_dh_install:
+	dh_install --fail-missing
+
 override_dh_installinit:
 	dh_installinit -p live-config-runit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config
 	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config
 	dh_installinit -p live-config-upstart --no-restart-on-upgrade --no-start --name live-config
-
-override_dh_install:
-	dh_install --fail-missing
-
-override_dh_compress:
-	dh_compress -Xusr/share/doc/live-config/examples
-
-override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9

## live-config 3.0~a33

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
 # Makefile
+
+## live-config(7) - System Configuration Scripts
+## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+##
+## live-config comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
 
 SHELL := sh -e

=== manpages/Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
 # Makefile
+
+## live-config(7) - System Configuration Scripts
+## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+##
+## live-config comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
 
 SHELL := sh -e
 
@@ -25,7 +33,7 @@
 		echo "E: po4a - command not found"; \
 		echo "I: po4a can be optained from:"; \
 		echo "I:   http://po4a.alioth.debian.org/"; \
-		echo "I: On Debian systems, po4a can be installed with:"; \
+		echo "I: On Debian based systems, po4a can be installed with:"; \
 		echo "I:   apt-get install po4a"; \
 		exit 1; \
 	fi

=== debian/changelog ===
live-config (3.0~a33-1) unstable; urgency=low

  * Making sure live-config gets started before mountkernfs in order to
    prevent a race condition with /tmp (Closes: #653673).
  * Also creating ecdsa host keys in openssh-server script on wheezy.
  * Redirecting startx output in xinit script to /dev/null when booting
    with quiet.
  * Simplifing live-config-update script.
  * Adding default user groups in live-config-update for ubuntu.
  * Updating copyright file machine-readable format version 1.0.
  * Updating to standards version 3.9.3.
  * Updating packaging files for included live-config-foobar example
    package.
  * Adding copyright header to remaining files.
  * Adding source lintian-overrides.
  * Updating Brazilian Portuguese manpage translation.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Mar 2012 14:25:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: lsb-release
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://live.debian.net/devel/live-config/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-config.git
 Vcs-Git: git://live.debian.net/git/live-config.git

## live-config 3.0~b1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = bin/* scripts/*.sh scripts/*/*
+SCRIPTS = backends/*/*.init bin/* scripts/*.sh scripts/*/*
 
 all: build
 
@@ -48,10 +48,27 @@
 	@echo "Nothing to build."
 
 install:
+	# Installing backends
+	mkdir -p $(DESTDIR)/etc/init.d
+	cp backends/sysvinit/live-config.init $(DESTDIR)/etc/init.d/live-config
+	cp backends/sysvinit/live.init $(DESTDIR)/etc/init.d/live
+
+	mkdir -p $(DESTDIR)/etc/init
+	cp backends/upstart/live-config.upstart $(DESTDIR)/etc/init/live-config.conf
+
+	mkdir -p $(DESTDIR)/etc/systemd/system
+	cp backends/systemd/live-config.systemd $(DESTDIR)/etc/systemd/system/live-config.service
+	mkdir -p $(DESTDIR)/etc/systemd/system/runlevel1.target.wants
+	ln -s ../live-config.service $(DESTDIR)/etc/systemd/system/runlevel1.target.wants/live-config.service
+
 	# Installing scripts
 	mkdir -p $(DESTDIR)/lib/live
 	cp -r scripts/config.sh scripts/config $(DESTDIR)/lib/live
 	mkdir -p $(DESTDIR)/var/lib/live/config
+
+	cp bin/boot-init.sh $(DESTDIR)/lib/live
+
+	mkdir -p $(DESTDIR)/sbin
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-config
@@ -74,7 +91,25 @@
 	done
 
 uninstall:
+	# Uininstalling backends
+	rm -f $(DESTDIR)/etc/init.d/live
+	rm -f $(DESTDIR)/etc/init.d/live-config
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/init.d > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc > /dev/null 2>&1 || true
+
+	rm -f $(DESTDIR)/etc/init/live-config.conf
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/init > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc > /dev/null 2>&1 || true
+
+	rm -f $(DESTDIR)/etc/systemd/system/live-config.service
+	rm -f $(DESTDIR)/etc/systemd/system/runlevel1.target.wants/live-config.service
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd/system/runlevel1.target.wants > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd/system  > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd > /dev/null 2>&1 || true
+
 	# Uninstalling scripts
+	rm -f $(DESTDIR)/lib/live/boot-init.sh
+
 	rm -rf $(DESTDIR)/lib/live/config.sh $(DESTDIR)/lib/live/config
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/live > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib > /dev/null 2>&1 || true

=== manpages/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 	for MANPAGE in en/*; \
 	do \
-		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
+		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
 		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
 	done

=== debian/changelog ===
live-config (3.0~b1-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting wrong preseed fieldname in keyboard-configuration for
    optionscode.
  * Sorting keyboard-configuration handling alphabetically.
  * Correcting wrong variable to make language assignments in locales
    script actually work.
  * Simplifying writing /etc/default/locale in locales script.
  * Decrufting locales script to handle multiple locales.

  [ Ben Armstrong ]
  * Fixing two script name message typos.

  [ Daniel Baumann ]
  * Renaming live-config.keyboard-variant option to live-
    config.keyboard-variants to indicate that multiple values can be
    specified at the same time, thanks to Ben Armstrong
    <synrg@debian.org>.

  [ chals ]
  * Fixing one 'fuzzy' in the Spanish translation of the man page.
  * Fixing one 'fuzzy' in the French translation of the man page.

  [ Daniel Baumann ]
  * Correcting multi-locales assembling in locales script.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Jul 2012 21:45:08 +0200

live-config (3.0~a43-1) unstable; urgency=low

  * Adding /etc/os-release support to hostname debconf script.
  * Correcting inverted logic when checking for a live system in boot-
    init.sh.
  * Removing debconf backend, splitting out into seperate package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Jul 2012 20:07:19 +0200

live-config (3.0~a42-1) unstable; urgency=low

  * Adding updated Brazilian Portuguese debconf translations from Tiago
    Bortoletto Vaz <tiago@debian.org> (Closes: #680849).

 -- Daniel Baumann <daniel@debian.org>  Mon, 09 Jul 2012 17:59:04 +0200

live-config (3.0~a41-1) unstable; urgency=low

  * Removing processing message in openssh-server debconfig script.
  * Switching to four-digit script numbers to allow more flexibility for
    custom scripts in-between the stock ones.
  * Removing exporting for private debconfs systemrc, live-debconfig
    doesn't get called via a wrapper like it used to be in lxc.
  * Switching to xz compression in source and binary packages.

 -- Daniel Baumann <daniel@debian.org>  Wed, 27 Jun 2012 14:23:40 +0200

live-config (3.0~a40-1) unstable; urgency=low

  * Integrating debconf backend into live-config.
  * Simplyfing eject initscript.

 -- Daniel Baumann <daniel@debian.org>  Thu, 14 Jun 2012 07:59:31 +0200

live-config (3.0~a39-1) experimental; urgency=low

  * Automatically translate date formats in po files.
  * Unifying po file headers.
  * Updating included example packaging for a live-config script.
  * Passing arguments over to /lib/live scripts even if currently
    arguments are unused.
  * Re-arranging initsystem backends in source tree.
  * Removing snapshot handling from shutdown initscript.
  * Respecting noeject and cdrom-detect/eject=false as boot parameters
    for preventing ejection of the live media.

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Jun 2012 19:13:19 +0200

live-config (3.0~a38-1) experimental; urgency=low

  [ chals ]
  * Revising grammar in French translation.

  [ Daniel Baumann ]
  * Simplyfing reading of configuration files.
  * Improving on-demand creation of ssh host keys in openssh-server
    script.
  * Avoid breaking serial consoles when using upstart, thanks to Trent
    W. Buck <trentbuck@gmail.com> (Closes: #675308).

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 Jun 2012 12:46:41 +0200

live-config (3.0~a37-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Only looking at config.d files if they have the .conf suffix to
    allow putting other files into these places that do not necessarily
    need to be used by live-config (e.g. documentation).
  * Using /var/log/live/config.log instead of /var/log/live-config.log
    for consistency with the other live packages.
  * Adding timestamp and script name to logfile when running with debug
    enabled.
  * Adding script for applying preseed files to the debconf database.
  * Renumbering scripts.
  * Exiting early in hooks script if no hooks were specified.
  * Extending debconf script to take more than one preseed file and
    support all three location types (filesyste, media, network).
  * Renaming /live/cow to /live/overlay in anticipation of overlayfs.
  * Using 'persistence' (noun) rather than 'persistent'
    (adjective/adverb) everywhere.
  * Making extraction of the manpage section in manpages/Makefile work
    with multiple dots in the filename.

  [ chals ]
  * Updating Spanish translation of man page.
  * Updating French translation of man page.

 -- Daniel Baumann <daniel@debian.org>  Mon, 09 Apr 2012 19:02:26 +0200

live-config (3.0~a36-1) experimental; urgency=low

  * Adding live-boot initscript.
  * Replacing type with which in order to check for archdetect in boot
    initscript, using type is a possible bashism.

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Apr 2012 10:12:57 +0200

live-config (3.0~a35-1) unstable; urgency=low

  * Disabling tmpfs on /tmp in sysvinit script (Closes: #658996).

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Apr 2012 09:09:30 +0200

live-config (3.0~a34-1) unstable; urgency=low

  * Removing runit backend, focusing in supporting the main init systems
    only (systemd, sysvinit, upstart), for the time being at least.
  * Mounting /proc if necessary (Closes: #666866).

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Apr 2012 08:50:38 +0200

=== debian/control ===
--- 
+++ 
@@ -34,19 +34,6 @@
  .
  This package contains the documentation.
 
-Package: live-config-runit
-Architecture: all
-Depends: ${misc:Depends}
-Conflicts: live-config-backend
-Replaces: live-config-backend
-Provides: live-config-backend
-Suggests: runit-run
-Description: Debian Live - System Configuration Scripts (runit backend)
- live-config contains the scripts that configure a Debian Live system during
- the boot process (late userspace).
- .
- This package contains the runit backend (experimental!).
-
 Package: live-config-systemd
 Architecture: all
 Depends: ${misc:Depends}, systemd

## live-config 3.0%7ea22

=== debian/changelog ===
live-config (3.0~a22-1ubuntu1) oneiric; urgency=low

  * start upstart-job on filesystem event
  * edit /etc/lxdm/default.conf for lubuntu
  * restart lxdm after configuring it
  * don't fail on locale generation if /etc/locale.gen doesn't exist
  
 -- Reinhard Tartler <siretart@tauware.de>  Fri, 08 Jul 2011 20:24:35 +0200

## live-config 3.0.1

=== debian/changelog ===
live-config (3.0.1-1) unstable; urgency=low

  * Correcting typo in keyboard-configuration recommends.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Aug 2012 22:36:51 +0200

live-config (3.0.0-1) unstable; urgency=low

  * Adding updated Italian manpage translation from skizzhg
    <skizzhg@gmx.com>.
  * Shortening filename for xorg.conf.d file.
  * Ensure that /etc/X11/xorg.conf.d exists before writing the
    configuration file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 03 Aug 2012 18:29:55 +0200

live-config (3.0~b2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Simplyfing find_iso eject check in boot initscript.
  * Removing special hack for some arm boards in boot initscript.
  * Moving initramfs-tools scripts content to live-tools.
  * Harmonizing GPL boilerplate texts.
  * Renumbering scripts to reflect initramfs-tools script removal.

  [ chals ]
  * Dealing with two easy-to-fix fuzzy strings in pt_BR on a best effort
    basis.

  [ Ben Armstrong ]
  * Clarifying that keyboard variants and layouts are matched.
  * Clarifying further that matching is one-to-one in order and blank
    values allowed.

  [ Daniel Baumann ]
  * Updating keyboard variant description in manpages a bit further.
  * Adding updated Brazilian Portuguese manpage translations from Tiago
    Bortoletto Vaz <tiago@debian.org>.

  [ chals ]
  * Completing the French and Spanish translations of the man page.

  [ Daniel Baumann ]
  * Adding recommends to keyboard-configuration.
  * Adding recommends to locales and locales-all.

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Jul 2012 02:16:23 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,9 @@
 Package: live-config
 Architecture: all
 Depends: ${misc:Depends}, live-config-sysvinit | live-config-backend
-Recommends: live-config-doc, live-tools, user-setup, sudo
+Recommends:
+ live-config-doc, live-tools, keyboard-configuration, locales | locales-all,
+ user-setup, sudo
 Suggests: wget
 Description: Debian Live - System Configuration Scripts
  live-config contains the scripts that configure a Debian Live system during

## live-config 3.0.8

=== debian/changelog ===
live-config (3.0.8-1) unstable; urgency=low

  * Updating to standards version 3.9.4.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Sep 2012 17:23:39 +0200

live-config (3.0.7-1) unstable; urgency=low

  * Moving remaining stuff from /live to /lib/live to avoid further
    namespace pollution.
  * Moving hooks and preseed inclusion to their final place within the
    filesystems.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Sep 2012 12:57:32 +0200

live-config (3.0.6-1) unstable; urgency=low

  * Synchronise gdm and gdm3 scripts.
  * Remounting any persistence devices read-only on shutdown (Closes:
    #688784).
  * Flushing filesystem buffers on shutdown.

 -- Daniel Baumann <daniel@debian.org>  Wed, 26 Sep 2012 14:26:00 +0200

live-config (3.0.5-1) unstable; urgency=low

  * Skipping gdm script inclusion on newer debian and progress releases
    than squeeze.
  * Mounting /proc initally on progress with hidepid option.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Sep 2012 09:58:10 +0200

live-config (3.0.4-1) unstable; urgency=low

  * Using /etc/live/config/* instead of /etc/live/config.d/*.conf and
    /live/image/live/config/* instead of
    /live/image/live/config.d/*.conf for consistency reasons.
  * Removing leftover from live-debconfig in postrm.
  * Recreating /etc/live/config in postinst.
  * Removing /etc/live/config if empty on purge in postrm.

 -- Daniel Baumann <daniel@debian.org>  Fri, 24 Aug 2012 11:46:09 +0200

live-config (3.0.3-1) unstable; urgency=low

  * Correcting some spelling typos in script comments.
  * Using consistent line breaks in alternative conditionals.
  * Removing note about only supporting kde in kde-services script,
    there's no older kde version supported anyway.
  * Don't show flags in KDE (kxkbrc) too as we already do with GNOME by
    default for better cultural correctness.
  * Improving comment about shadow workaround in user-setup script.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Aug 2012 12:55:07 +0200

live-config (3.0.2-1) unstable; urgency=low

  * Removing live-debconfig leftovers.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Aug 2012 11:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: lsb-release
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://live.debian.net/devel/live-config/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-config.git
 Vcs-Git: git://live.debian.net/git/live-config.git
